# Class pyglet.text.layout.TextLayoutForegroundDecorationGroup

       graphics.Group --+
                        |
    graphics.OrderedGroup --+
                            |
                           TextLayoutForegroundDecorationGroup

Rendering group for decorative elements (e.g., glyph underlines) in all text layouts.

The group disables `GL_TEXTURE_2D`.

## Methods

| set_state(self) Apply the OpenGL state change.
| __cmp__(self, other) (Inherited from pyglet.graphics.OrderedGroup)
| __eq__(self, other) (Inherited from pyglet.graphics.OrderedGroup)
| __hash__(self) (Inherited from pyglet.graphics.OrderedGroup)
| __init__(self, order, parent=None) Create an ordered group. (Inherited from pyglet.graphics.OrderedGroup)
| __repr__(self) (Inherited from pyglet.graphics.OrderedGroup)
| set_state_recursive(self) Set this group and its ancestry. (Inherited from pyglet.graphics.Group)
| unset_state(self) Repeal the OpenGL state change. (Inherited from pyglet.graphics.Group)
| unset_state_recursive(self) Unset this group and its ancestry. (Inherited from pyglet.graphics.Group)

## Method Details

### set_state

set_state(self)

Apply the OpenGL state change.

The default implementation does nothing.

Overrides:
  graphics.Group.set_state